gnutls_protocol_get_version(3)

NAME
gnutls_protocol_get_version - API function

SYNOPSIS
#include <gnutls/gnutls.h>

gnutls_protocol_t gnutls_protocol_get_version(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

DESCRIPTION
Get TLS version, a gnutls_protocol_t value.

RETURNS
The version of the currently used protocol.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/